中危 Apache HTTP Server 代码问题漏洞

CVE编号

CVE-2021-41524

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-09
漏洞描述
Apache HTTP Server是美国阿帕奇(Apache)基金会的一款开源网页服务器。Apache HTTP Server 2.4.49版本存在代码问题漏洞,该漏洞源于在HTTP/2请求处理期间检测到新的空指针解引用,从而允许外部源对服务器进行拒绝服务攻击。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-apache-httpd-pathtrv-LAzg68cZ
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache http_server 2.4.49 -
运行在以下环境
系统 alpine_3.11 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_3.12 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_3.13 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_3.14 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_3.15 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_3.16 httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 alpine_edge httpd * Up to
(excluding)
2.4.50-r0
运行在以下环境
系统 amazon_2 httpd * Up to
(excluding)
2.4.51-1.amzn2
运行在以下环境
系统 amazon_AMI httpd * Up to
(excluding)
2.4.51-1.94.amzn1
运行在以下环境
系统 fedora_33 httpd * Up to
(excluding)
2.4.50-1.fc33
运行在以下环境
系统 fedora_34 httpd * Up to
(excluding)
2.4.50-1.fc34
运行在以下环境
系统 fedora_35 httpd * Up to
(excluding)
2.4.50-1.fc35
阿里云评分
6.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况